<script setup lang="ts">
import { inject, type Ref, ref, watchEffect } from 'vue'
import clockRealTime from './clockRealTime.vue'
import { useAuthStore } from '@/stores/auth'

const rail = inject<Ref<boolean>>('rail')
const userStore = useAuthStore()
const currentUser = ref(userStore.currentUser)

watchEffect(() => {
  currentUser.value = userStore.currentUser
})
</script>

<template>
  <div>
    <v-app-bar color="teal-darken-4" image="./img/bg/rustic.jpg">
      <template v-slot:image>
        <v-img gradient="to top right, rgba(101, 43, 14, .8), rgba(139, 69, 19, .8)"></v-img>
      </template>

      <template v-slot:prepend>
        <v-app-bar-nav-icon @click="rail = !rail"></v-app-bar-nav-icon>
      </template>
      <v-icon size="40px">mdi-coffee</v-icon>
      <v-app-bar-title class="custom-title">D-Coffee</v-app-bar-title>

      <v-spacer></v-spacer>
      <clockRealTime style="padding: 1%; font-size: 35px"></clockRealTime>
      <v-list-item :to="{ name: 'login' }">
        <v-icon size="50px">mdi-account-circle</v-icon></v-list-item
      >
      <div style="padding-right: 3%; padding-left: 5px">
        <p>User: {{ currentUser ? currentUser.fullName : '-' }}</p>
        <p>Role: {{ currentUser ? currentUser.roles.join(', ') : '-' }}</p>
      </div>
    </v-app-bar>
  </div>
</template>

<style scoped>
div {
  font-family: 'Kanit';
}

.custom-title {
  font-size: 35px;
}

.custom-app-bar {
  height: 80px;
}

.custom-in-bar {
  margin-top: auto;
  margin-bottom: auto;
}
</style>
